{
 "cells": [
  {
   "cell_type": "markdown",
   "id": "ee353f1f",
   "metadata": {},
   "source": [
    "# Тест по методам #"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "247cf0a2",
   "metadata": {},
   "source": [
    "1. Какой метод класса возвращает новый созданный объект?\n",
    "\n",
    "- [ ] `__get__`\n",
    "- [x] `__new__`\n",
    "- [ ] `__init__`\n",
    "- [ ] `__create__`"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "0771b868",
   "metadata": {},
   "source": [
    "2. Какой метод отвечает за происходящее в конце блока контекстного менеджера?\n",
    "\n",
    "- [x] `__exit__`\n",
    "- [ ] `__del__`\n",
    "- [ ] `__end__`\n",
    "- [ ] `__delete__`"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "6a8d5488",
   "metadata": {},
   "source": [
    "3. Какой метод отвечает за отображении объекта при вызове функции print?\n",
    "\n",
    "- [ ] `__print__`\n",
    "- [ ] `__read__`\n",
    "- [ ] `__unicode__`\n",
    "- [x] `__str__`"
   ]
  },
  {
   "cell_type": "markdown",
   "id": "3d9e03ee",
   "metadata": {},
   "source": [
    "4. Какой метод отвечает за обращение к объекту по индексу?\n",
    "\n",
    "- [ ] `__getattr__`\n",
    "- [ ] `__get__`\n",
    "- [x] `__getitem__`\n",
    "- [ ] `__getattribute__`\n",
    "- [ ] `__getindex__`"
   ]
  }
 ],
 "metadata": {
  "kernelspec": {
   "display_name": "Python 3",
   "language": "python",
   "name": "python3"
  },
  "language_info": {
   "codemirror_mode": {
    "name": "ipython",
    "version": 3
   },
   "file_extension": ".py",
   "mimetype": "text/x-python",
   "name": "python",
   "nbconvert_exporter": "python",
   "pygments_lexer": "ipython3",
   "version": "3.6.8"
  }
 },
 "nbformat": 4,
 "nbformat_minor": 5
}
